.post-list-item
{
    background-color: silver;
    display: block;
    color: #fff;
    text-decoration: none;
    padding: 15px;
    text-align: center;
    width: 18%;
    transition: all .5s;
    margin: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.post-list-item>div
{
    width: 100%;
}

.post-list-item:hover
{
    background-color: yellowgreen;
}

.posts-list
{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.post-list-item-name
{
    font-size: 30px;
    margin-bottom: 20px;
}

.post-list-item-description
{
    font-size: 25px;
}

.post-category-item
{
    width: 100%;
}

.search-form
{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-between;
}

.post-search-item
{
    width: 28%;
    margin: 0 20px;
}

.search-form .post-search-item:last-of-type
{
    width: auto;
}

.post-category-list
{
    display: flex;
    flex-wrap: wrap;
}

.post-category-item
{
    width: 48%;
    cursor: pointer;
}

.form-field label
{
    width: 30%;
}

.form-field>div
{
    width: 68%;
}

.post-category-item input
{
    margin-right: 10px;
}

.search-form-button-block .button
{
    width: 100%;
    display: block;
}

.search-form-button-block .button:first-child
{
    margin-bottom: 8px;
}

.empty-themes
{
    font-size: 25px;
    color: #ff0000;
    font-weight: bold;
    margin: 25px 0;
    line-height: 1.7;
}

.posts-find-counter
{
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
    font-size: 25px;
}

@media (max-width: 1099px)
{
    .search-form
    {
        display: block;
    }

    .post-category-list
    {
        width: 100%;
    }

    .post-category-item
    {
        width: 100%;
        margin: 5px 0;
    }

    .post-category-item input
    {
        margin-left: 0;
    }

    .post-search-item
    {
        width: 100%;
        margin: 0;
    }

    .form-field label
    {
        width: 100%;
        margin-bottom: 10px;
    }

    .form-field input[type="text"], .form-field select
    {
        width: 100%;
    }

    .post-list-item
    {
        width: 100%;
    }
}